[arch-commits] Commit in metalog/repos (8 files)

Allan McRae allan at archlinux.org
Wed Feb 8 05:27:17 EST 2012


    Date: Wednesday, February 8, 2012 @ 05:27:17
  Author: allan
Revision: 149493

archrelease: copy trunk to staging-i686, staging-x86_64

Added:
  metalog/repos/staging-i686/
  metalog/repos/staging-i686/PKGBUILD
    (from rev 149492, metalog/trunk/PKGBUILD)
  metalog/repos/staging-i686/metalog
    (from rev 149492, metalog/trunk/metalog)
  metalog/repos/staging-i686/metalog.confd
    (from rev 149492, metalog/trunk/metalog.confd)
  metalog/repos/staging-x86_64/
  metalog/repos/staging-x86_64/PKGBUILD
    (from rev 149492, metalog/trunk/PKGBUILD)
  metalog/repos/staging-x86_64/metalog
    (from rev 149492, metalog/trunk/metalog)
  metalog/repos/staging-x86_64/metalog.confd
    (from rev 149492, metalog/trunk/metalog.confd)

------------------------------+
 staging-i686/PKGBUILD        |   34 ++++++++++++++++++++++++++++++++++
 staging-i686/metalog         |   40 ++++++++++++++++++++++++++++++++++++++++
 staging-i686/metalog.confd   |    8 ++++++++
 staging-x86_64/PKGBUILD      |   34 ++++++++++++++++++++++++++++++++++
 staging-x86_64/metalog       |   40 ++++++++++++++++++++++++++++++++++++++++
 staging-x86_64/metalog.confd |    8 ++++++++
 6 files changed, 164 insertions(+)

Copied: metalog/repos/staging-i686/PKGBUILD (from rev 149492, metalog/trunk/PKGBUILD)
===================================================================
--- staging-i686/PKGBUILD	                        (rev 0)
+++ staging-i686/PKGBUILD	2012-02-08 10:27:17 UTC (rev 149493)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: juergen <juergen at archlinux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=metalog
+pkgver=1.0
+pkgrel=3
+pkgdesc="Metalog is a modern replacement for syslogd and klogd"
+url="http://metalog.sourceforge.net"
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('pcre')
+provides=('logger')
+backup=('etc/metalog.conf' 'etc/conf.d/metalog')
+source=("http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-1.tar.lzma"
+        'metalog'
+        'metalog.confd')
+md5sums=('df4ec89f6a0df24a43f9592ee80ab6be'
+         'cdd1d34eedbfbc2d9e659bf0a0f58f56'
+         '86bccd5a02996921e29eff8a0394d11f')
+
+build() {
+  cd $srcdir/$pkgname-1
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd $srcdir/$pkgname-1
+  make DESTDIR=$pkgdir install
+  install -D -m755 $srcdir/metalog $pkgdir/etc/rc.d/metalog
+  install -D -m644 $srcdir/metalog.confd $pkgdir/etc/conf.d/metalog
+  install -D -m644 metalog.conf $pkgdir/etc/metalog.conf
+}

Copied: metalog/repos/staging-i686/metalog (from rev 149492, metalog/trunk/metalog)
===================================================================
--- staging-i686/metalog	                        (rev 0)
+++ staging-i686/metalog	2012-02-08 10:27:17 UTC (rev 149493)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/metalog ] && . /etc/conf.d/metalog
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/metalog`
+case "$1" in
+  start)
+    stat_busy "Starting Metalog"
+    [ -z "$PID" ] && /usr/sbin/metalog -B $METALOG_OPTS 2>&1
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      echo $PID > /var/run/metalog.pid
+      add_daemon metalog
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Metalog"
+    [ ! -z "$PID" ]  && kill $PID &>/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon metalog
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}" 
+esac
+exit 0 

Copied: metalog/repos/staging-i686/metalog.confd (from rev 149492, metalog/trunk/metalog.confd)
===================================================================
--- staging-i686/metalog.confd	                        (rev 0)
+++ staging-i686/metalog.confd	2012-02-08 10:27:17 UTC (rev 149493)
@@ -0,0 +1,8 @@
+#
+# Parameters to be passed to metalog
+#
+
+# NOTE: Since v.0.7, metalog disables buffering by default.
+# Add '-a' if you want buffering.
+
+METALOG_OPTS=""

Copied: metalog/repos/staging-x86_64/PKGBUILD (from rev 149492, metalog/trunk/PKGBUILD)
===================================================================
--- staging-x86_64/PKGBUILD	                        (rev 0)
+++ staging-x86_64/PKGBUILD	2012-02-08 10:27:17 UTC (rev 149493)
@@ -0,0 +1,34 @@
+# $Id$
+# Maintainer: juergen <juergen at archlinux.org>
+# Contributor: Tom Newsom <Jeepster at gmx.co.uk>
+
+pkgname=metalog
+pkgver=1.0
+pkgrel=3
+pkgdesc="Metalog is a modern replacement for syslogd and klogd"
+url="http://metalog.sourceforge.net"
+license=('GPL')
+arch=('i686' 'x86_64')
+depends=('pcre')
+provides=('logger')
+backup=('etc/metalog.conf' 'etc/conf.d/metalog')
+source=("http://downloads.sourceforge.net/sourceforge/${pkgname}/${pkgname}-1.tar.lzma"
+        'metalog'
+        'metalog.confd')
+md5sums=('df4ec89f6a0df24a43f9592ee80ab6be'
+         'cdd1d34eedbfbc2d9e659bf0a0f58f56'
+         '86bccd5a02996921e29eff8a0394d11f')
+
+build() {
+  cd $srcdir/$pkgname-1
+  ./configure --prefix=/usr --sysconfdir=/etc
+  make
+}
+
+package() {
+  cd $srcdir/$pkgname-1
+  make DESTDIR=$pkgdir install
+  install -D -m755 $srcdir/metalog $pkgdir/etc/rc.d/metalog
+  install -D -m644 $srcdir/metalog.confd $pkgdir/etc/conf.d/metalog
+  install -D -m644 metalog.conf $pkgdir/etc/metalog.conf
+}

Copied: metalog/repos/staging-x86_64/metalog (from rev 149492, metalog/trunk/metalog)
===================================================================
--- staging-x86_64/metalog	                        (rev 0)
+++ staging-x86_64/metalog	2012-02-08 10:27:17 UTC (rev 149493)
@@ -0,0 +1,40 @@
+#!/bin/bash
+
+# source application-specific settings
+[ -f /etc/conf.d/metalog ] && . /etc/conf.d/metalog
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/sbin/metalog`
+case "$1" in
+  start)
+    stat_busy "Starting Metalog"
+    [ -z "$PID" ] && /usr/sbin/metalog -B $METALOG_OPTS 2>&1
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      echo $PID > /var/run/metalog.pid
+      add_daemon metalog
+      stat_done
+    fi
+    ;;
+  stop)
+    stat_busy "Stopping Metalog"
+    [ ! -z "$PID" ]  && kill $PID &>/dev/null
+    if [ $? -gt 0 ]; then
+      stat_fail
+    else
+      rm_daemon metalog
+      stat_done
+    fi
+    ;;
+  restart)
+    $0 stop
+    sleep 1
+    $0 start
+    ;;
+  *)
+    echo "usage: $0 {start|stop|restart}" 
+esac
+exit 0 

Copied: metalog/repos/staging-x86_64/metalog.confd (from rev 149492, metalog/trunk/metalog.confd)
===================================================================
--- staging-x86_64/metalog.confd	                        (rev 0)
+++ staging-x86_64/metalog.confd	2012-02-08 10:27:17 UTC (rev 149493)
@@ -0,0 +1,8 @@
+#
+# Parameters to be passed to metalog
+#
+
+# NOTE: Since v.0.7, metalog disables buffering by default.
+# Add '-a' if you want buffering.
+
+METALOG_OPTS=""



More information about the arch-commits mailing list